2021-11-27 22:11 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005266NewYorkWarriors[All Projects] Generalpublic2021-08-07 22:00
ReporterSolo Kazuki 
Assigned ToWeplProject InfoNew York Warriors (Arcadia Systems)
http://www.whdload.de/games/NewYorkWarriors.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005266: No sound at all
DescriptionThere is no sound at all. This problem exist also in Delta Command (Arcadia version).

Same problem is also on plain 8MB FastRAM config. I have 68060@100MHz (Warp1260).
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed75
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.0
KickROM39 - Kick 3.0
KickSoft40 - Kick 3.1
WHDLoad18.6
imported
Attached Files

-Relationships
related to 0002910resolvedWepl DeltaCommandArcadia Delta Command (Arcadia) - No sound in attract mode 
related to 0002918resolvedWepl NewYorkWarriors New York Warriors crackling sound 
+Relationships

-Notes

note ~0010444

Solo Kazuki (reporter)

I mean no sound effects, music is playing.

note ~0010446

Retroplay (reporter)

Try beta slave here
http://mantis.whdload.de/view.php?id=2918
It partially fixed the issue for me.

Delta Command (different slave and author), is it the same symptoms you have as I described here ?
http://mantis.whdload.de/view.php?id=2910

note ~0010455

Solo Kazuki (reporter)

Nope, no difference at all. Still only music plays and no sound effects.

Yes, I have same symptoms in Delta Command.

note ~0010522

Wepl (developer)

please try attached slave, it should fix the sound fx issues

note ~0010525

Solo Kazuki (reporter)

Now sound of machine gun is present, but after this demo on red screen... LED is blinking and reset (under WHDLoad). Game itself is looping with sequence title - "software failure" error (which is even bugged itself, two or three lines of "Guru meditation..." text are messed).

note ~0010526

Solo Kazuki (reporter)

When pressing fire i see that everything's working. But bug is a bug, isn't?

Below is video of mentioned cycle.

https://drive.google.com/file/d/1q7h0lv0DG30OYpDERbHdxwET5FmhMLf-/view?usp=sharing

As before video is put just for a short time

note ~0010560

Wepl (developer)

Probably a problem because of your 100 Mhz Warp.
It runs fine on my 60 MHz CSPPC.
Try option ChkInts. If there is a requester I may help. Otherwise I don't see a way fix without being able to reproduce.
You may also check if options ExpChip or NoCache can avoid the problem.

note ~0010561

Wepl (developer)

Ah, I can it reproduce. It happens only in PAL mode, not in NTSC.
investigating...

note ~0010562

Wepl (developer)

Please test attached Slave. There was too less memory assigned.

note ~0010574

Solo Kazuki (reporter)

Now it seems game is working ok.

But proper in-deep tests are needed... ;)

Ok, bugreport can be closed.

note ~0010578

Pascal De Maeseneire (reporter)

Last edited: 2021-07-26 21:20

View 2 revisions

@Wepl
Hi,
I tried your Slave 1.5 with SPS version (512K) and NO SPS Version (1MB).
On my real A1200 and under WINUAE all works correctly...
But on my real A500 with an ACA500Plus, I have a glitch only with 1MB version.... 512k version works correctly.
You can see the problem on my Youtube Channel http://youtube.com/watch?v=bAbpc47xeaI
I just finish to put IPF 1MB (NTSC) in the Zone.
I want to tell You that there is no Glitch with Slave 1.4 and Tooltype NTSC was not necessary...
Please could You have a look.
Best regards,
Pascal

note ~0010582

Wepl (developer)

Hi Pascal, can you please try option ExpChip? This is maybe because games now uses fast memory by default now..

note ~0010583

Pascal De Maeseneire (reporter)

Hi Wepl,

I Tried ExpLocal (Because only a 68000 CPU) and nothing changed... EXPChip and EXP24Bit doesn't works on my system.
I already tried some tooltype (Nocache,NoVBRMove,NoAutovec,ExpLocal)... But Nothing changed.

My config is an A500 rev.6A ECS 8372A 68000 512k + 512k Trapdoor
my ACA500Plus Setup is KS 3.1.4.1 I have 7MB Fast Ram (About 6.3 Free in WB) and only A CPU 68000(CPU WORK at @14 Mhz) and no other accelerator card.
Best Regards,
Pascal

note ~0010584

Pascal De Maeseneire (reporter)

Hi Wepl,
I found something... on my ACA500PlUS setup
I can change CPU Speed...
and if a use my 68000 CPU @7 Mhz it works correctly... If a use @14 Mhz, @21 Mhz and @28 Mhz a have the Glitch.
Usually I use @14 Mhz for all whdload games.
Best regards,

Pascal

note ~0010623

Wepl (developer)

Hi Pascal,
can you please test if the new attached Slave fixes the gfx issues (at higher speeds)?

note ~0010627

Pascal De Maeseneire (reporter)

Hi Wepl,

I finished to test Your Latest Slave 1.5 (26.07.2021)

on my A500ACA500PlUS setup Nothing as changed for GAME 1MB Version... For 512K all works:

for 1MB version... same way with a Glitch @14 Mhz,@21 Mhz and @28 Mhz...
but @7 Mhz it works correctly...

But now ther is another problem with the same Slave and only with 1MB Game Version...

on my Real A1200 GVP 68030 @40 Mhz WITH 32MB RAM and under WinUAE too (68030)
I can't kill any enemy ... I fire but it doesn't kill anyone !!!
with the previous slave I didn't have that

On my A500ACA500Plus I can kill but with Glitch...

Sorry to report that.

Best regards,
Pascal

note ~0010640

Wepl (developer)

Hi Pascal, new Slave attached
Sorry, not able to kill enemies was a faulty patch, should work again.
I think I also found Glitch problem in the 1MB version.
Can you please test?

note ~0010641

Pascal De Maeseneire (reporter)

Hi Welp,
With Your Latest Slave 1.5 03/08/2021.
Glitch is resolved with 1MB Game version on my ACA500PLUS.
All works now for both Games and on my both Amiga(s) (A500ACA500PLUS & A1200).
Now I can Kill too on all systems and for Both games (512K & 1MB).
For myself You can close now...
Many Thanks :)
Best regards,
Pascal

note ~0010642

Solo Kazuki (reporter)

I didn't tested Yet, I'll do it tomorrow. Please wait with closing.

note ~0010644

Solo Kazuki (reporter)

Ok, everything's ok. Bugreport may be closed.

note ~0010681

Wepl (developer)

Thanks for testing. New install released.
+Notes

-Issue History
Date Modified Username Field Change
2021-06-26 18:38 Solo Kazuki New Issue
2021-06-26 19:11 Solo Kazuki Note Added: 0010444
2021-06-26 19:48 Retroplay Note Added: 0010446
2021-06-26 23:52 Wepl Assigned To => Wepl
2021-06-26 23:52 Wepl Status new => assigned
2021-06-27 09:31 Solo Kazuki Note Added: 0010455
2021-07-15 00:09 Wepl File Added: NewYorkWarriors.Slave
2021-07-15 00:10 Wepl Note Added: 0010522
2021-07-15 11:21 Solo Kazuki Note Added: 0010525
2021-07-15 11:42 Solo Kazuki Note Added: 0010526
2021-07-19 00:08 Wepl Relationship added related to 0002918
2021-07-19 00:14 Wepl Note Added: 0010560
2021-07-19 00:16 Wepl Relationship added related to 0002910
2021-07-19 00:24 Wepl Note Added: 0010561
2021-07-19 01:27 Wepl File Deleted: NewYorkWarriors.Slave
2021-07-19 01:27 Wepl File Added: NewYorkWarriors.Slave
2021-07-19 01:28 Wepl Note Added: 0010562
2021-07-19 22:02 Solo Kazuki Note Added: 0010574
2021-07-20 15:36 Pascal De Maeseneire Note Added: 0010578
2021-07-22 00:51 Wepl Note Added: 0010582
2021-07-22 08:15 Pascal De Maeseneire Note Added: 0010583
2021-07-22 08:27 Pascal De Maeseneire Note Added: 0010584
2021-07-26 21:20 Wepl Note Edited: 0010578 View Revisions
2021-07-26 22:19 Wepl File Deleted: NewYorkWarriors.Slave
2021-07-26 22:20 Wepl File Added: NewYorkWarriors.Slave
2021-07-26 22:21 Wepl Note Added: 0010623
2021-07-27 01:07 Pascal De Maeseneire Note Added: 0010627
2021-08-03 02:26 Wepl File Deleted: NewYorkWarriors.Slave
2021-08-03 02:27 Wepl File Added: NewYorkWarriors.Slave
2021-08-03 02:29 Wepl Note Added: 0010640
2021-08-03 21:52 Pascal De Maeseneire Note Added: 0010641
2021-08-03 22:15 Solo Kazuki Note Added: 0010642
2021-08-04 18:38 Solo Kazuki Note Added: 0010644
2021-08-07 22:00 Wepl Status assigned => resolved
2021-08-07 22:00 Wepl Resolution open => fixed
2021-08-07 22:00 Wepl Note Added: 0010681
+Issue History